Bug 1879952 - rpmdb2solv is broken with rpm 4.16.0
Summary: rpmdb2solv is broken with rpm 4.16.0
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: libsolv
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-17 12:37 UTC by Petr Pisar
Modified: 2021-02-09 15:18 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openSUSE libsolv issues 412 0 None closed rpmdb2solv is broken with rpm 4.16 on Fedora 2021-01-22 08:55:24 UTC

Description Petr Pisar 2020-09-17 12:37:34 UTC
zypper-1.14.37-1.fc34 fails to build in Fedora 34, because a test fails:

test 4
    Start 4: Locales_test
4: Test command: /builddir/build/BUILD/zypper-1.14.37/aarch64-redhat-linux-gnu/tests/Locales_test "--catch_system_errors=no"
4: Test timeout computed to be: 10000000
4: Initializing Target
4: Target initialization failed:
4: Failed to cache rpm database (1).
4: History:
4:  - 'rpmdb2solv' '-r' '/var/tmp/TmpDir.j0Lww8' '-X' '-p' '/var/tmp/TmpDir.j0Lww8/etc/products.d' '-o' '/var/tmp/TmpDir.j0Lww8/var/cache/zypp/solv/@System/solvGlKI1a'
4: warning: invalid %_db_backend: 
4: warning: using dummy database, installs not possible
4: rpmdb2solv: no error
4: 
4: 
4: Running 'zypper refresh' as root might resolve the problem.
4: unknown location(0): fatal error: in "Test setup": ExitRequestException: Target initialization failed: Failed to cache rpm database (1).
4: Running 2 test cases...
4: 
4: [1;32;49m*** No errors detected
4: [0;39;49mTest setup error: 
4/6 Test #4: Locales_test .....................***Failed    0.52 sec
Initializing Target
Target initialization failed:
Failed to cache rpm database (1).
History:
 - 'rpmdb2solv' '-r' '/var/tmp/TmpDir.j0Lww8' '-X' '-p' '/var/tmp/TmpDir.j0Lww8/etc/products.d' '-o' '/var/tmp/TmpDir.j0Lww8/var/cache/zypp/solv/@System/solvGlKI1a'
warning: invalid %_db_backend: 
warning: using dummy database, installs not possible
rpmdb2solv: no error
Running 'zypper refresh' as root might resolve the problem.
unknown location(0): fatal error: in "Test setup": ExitRequestException: Target initialization failed: Failed to cache rpm database (1).
Running 2 test cases...
[1;32;49m*** No errors detected
[0;39;49mTest setup error: 
test 5
    Start 5: text_test

A difference between passing and failing build root is at <https://koschei.fedoraproject.org/build/8907411>. Upgrading rpm from 4.16.0-0.beta3.2.fc33.3 to 4.16.0-0.rc1.1.fc34 looks suspicious.

Comment 1 Neal Gompa 2020-11-22 17:03:32 UTC
This is a bug in libsolv: https://github.com/openSUSE/libsolv/issues/412

Comment 2 Neal Gompa 2020-11-22 17:05:33 UTC
Since this is a bug in libsolv, switching it to that package.

Comment 3 Ben Cotton 2021-02-09 15:18:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.